"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VsrClient = exports.DEFAULT_VSR_ID = void 0;
const anchor_1 = require("@coral-xyz/anchor");
const web3_js_1 = require("@solana/web3.js");
exports.DEFAULT_VSR_ID = new anchor_1.web3.PublicKey('4Q6WW2ouZ6V3iaNm56MTd5n2tnTm4C5fiH8miFHnAFHo');
class VsrClient {
    program;
    devnet;
    constructor(program, devnet) {
        this.program = program;
        this.devnet = devnet;
    }
    static async connect(provider, programId, devnet) {
        const idl = await anchor_1.Program.fetchIdl(new web3_js_1.PublicKey(exports.DEFAULT_VSR_ID), provider);
        return new VsrClient(new anchor_1.Program(idl, programId, provider), devnet);
    }
}
exports.VsrClient = VsrClient;
